/* * 版 本 PIT-ADMS V7.0.3 敏捷开发框架
 * Copyright (c) 2013-2018 Hexagon PPM
 * 创建人：超级管理员
 * 日  期：2022-06-15 10:00
 * 描  述：报表文件
 */
var acceptClick;
var folderId = request('folderId');//文件夹ID
var reportFileName = request('reportFileName'); 
var DateFrom;
var DateTo;
var bootstrap = function ($, learun) {
    "use strict";
    var page = {
        init: function () { 
            $('.lr-date-layer').css('max-height', '300px');
            page.bind();
            page.initData();
        },
        bind: function () {
            $('#datesearch').lrdate({
                type: 'date',
                range: true,  // 开启日期范围选择
                format: 'yyyy-MM-dd', 
                //dfdata: [
                //    { name: '今天', begin: function () { return learun.getDate('yyyy-MM-dd 00:00:00') }, end: function () { return learun.getDate('yyyy-MM-dd 23:59:59') } },
                //    { name: '近7天', begin: function () { return learun.getDate('yyyy-MM-dd 00:00:00', 'd', -6) }, end: function () { return learun.getDate('yyyy-MM-dd 23:59:59') } },
                //    { name: '近1个月', begin: function () { return learun.getDate('yyyy-MM-dd 00:00:00', 'm', -1) }, end: function () { return learun.getDate('yyyy-MM-dd 23:59:59') } },
                //    { name: '近3个月', begin: function () { return learun.getDate('yyyy-MM-dd 00:00:00', 'm', -3) }, end: function () { return learun.getDate('yyyy-MM-dd 23:59:59') } },
                //],
                //// 月
                //mShow: false,
                //premShow: false,
                //// 季度
                //jShow: false,
                //prejShow: false,
                //// 年
                //ysShow: false,
                //yxShow: false,
                //preyShow: false,
                //yShow: false,
                //// 默认
                //dfvalue: '1',
                selectfn: function (begin, end) {
                    DateFrom = begin;
                    DateTo = end; 
                }
            });

        },
        initData: function () {
        }
    };
    // 保存数据
    acceptClick = function (callBack) {
        if (!$('#form').lrValidform()) {
            return false;
        }
        if (!verify()) {
            return false;
        }
        // 保存成功后才回调
        if (!!callBack) {
            var deleteFlg = $('#DeleteFlg').prop('checked');  
            callBack(folderId, escape(reportFileName), deleteFlg, DateFrom, DateTo);
        }
        learun.layerClose(window.name);
    };
    page.init();
}
function verify() {
    return true;
}